ReferenceAutomationsConnectionsId
Update delivery connection or rotate write-only credentials
Update delivery connection or rotate write-only credentials - PUT /automations/connections/{id}. DocDealer REST API reference.
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Path Parameters
id*string
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PUT "https://example.com/automations/connections/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "configuration": { "baseUrl": "http://example.com", "kind": "https" }, "enabled": true, "expectedRevision": 0, "name": "string" }'{ "configuration": { "baseUrl": "http://example.com", "idempotencyHeader": "string", "kind": "https" }, "enabled": true, "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "kind": "https", "name": "string", "revision": 0}Create a delivery connection with write-only credentials POST
Create a delivery connection with write-only credentials - POST /automations/connections. DocDealer REST API reference.
Get the canonical automation definition JSON Schema GET
Get the canonical automation definition JSON Schema - GET /automations/definition-schema. DocDealer REST API reference.